# collateindex.pl

## Name

collateindex.pl -- Create a DocBook index from raw index data

## Synopsis

collateindex.pl [-p] [-g] [-s `name`] [-t `name`] [-P `filename`] [-i `id`] [-o `file`] [-S `scope`] [-I `scope`] [-x] [-f] -N | file

`-p`

  Link to points in the document. The default is to link to the closest containing section.

`-g`

  Group terms with IndexDiv based on the first letter of the term (or its sortas attribute). (This probably doesn't handle i10n particularly well)

`-s name`

  Name the IndexDiv that contains symbols. The default is 'Symbols'. Meaningless if -g is not used.

`-t name`

  Title for the index.

`-P file`

  Read a preamble from file. The content of file will be inserted before the <index> tag.

`-i id`

  The ID for the <index> tag.

`-o file`

  Output to file. Defaults to stdout.

`-S scope`

  Scope of the index, must be 'all', 'local', or 'global'. If unspecified, 'all' is assumed.

`-I scope`

  The implied scope, must be 'all', 'local', or 'global'. IndexTerms which do not specify a scope will have the implied scope. If unspecified, 'all' is assumed.

`-x`

  Make a SetIndex.

`-f`

  Force the output file to be written, even if it appears to have been edited by hand.

`-N`

  New index (generates an empty index file).

`file`

  The file containing index data generated by Jade with the DocBook HTML Stylesheet.

## Description

Generates an index.